notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
frescobaldi Music score editor for lilypond
3.0.0_2 print on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port 3.0.0Version of this port present on the latest quarterly branch.
Maintainer: m.ne@gmx.net search for ports maintained by this maintainer
Port Added: 2011-09-17 10:04:51
Last Update: 2019-05-13 19:33:10
SVN Revision: 501583
Also Listed In: kde
License: GPLv2+
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (4 items)
  1. @desktop-file-utils
  2. /usr/local/share/licenses/frescobaldi-3.0.0_2/catalog.mk
  3. /usr/local/share/licenses/frescobaldi-3.0.0_2/LICENSE
  4. /usr/local/share/licenses/frescobaldi-3.0.0_2/GPLv2+
Collapse this list.
Dependency lines:
  • frescobaldi>0:print/frescobaldi
To install the port: cd /usr/ports/print/frescobaldi/ && make install clean
To add the package: pkg install frescobaldi
PKGNAME: frescobaldi
Flavors: there is no flavor information for this port.
distinfo:

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. msgfmt : devel/gettext-tools
  2. py36-qt5-network>=5.12.1 : net/py-qt5-network@py36
  3. py36-qt5-printsupport>=5.12.1 : print/py-qt5-printsupport@py36
  4. py36-sip>=4.19.15 : devel/py-sip@py36
  5. py36-qt5-svg>=5.12.1 : graphics/py-qt5-svg@py36
  6. py36-qt5-webkit>=5.12.1 : www/py-qt5-webkit@py36
  7. py36-qt5-webkitwidgets>=5.12.1 : www/py-qt5-webkitwidgets@py36
  8. py36-qt5-widgets>=5.12.1 : x11-toolkits/py-qt5-widgets@py36
  9. py36-setuptools>0 : devel/py-setuptools@py36
  10. python3.6 : lang/python36
  11. update-desktop-database : devel/desktop-file-utils
  12. qmake : devel/qt5-qmake
Runtime dependencies:
  1. py36-python-poppler-qt5>=0 : graphics/py-python-poppler-qt5@py36
  2. py36-python-ly>=0 : print/py-python-ly@py36
  3. lilypond : print/lilypond
  4. py36-qt5-network>=5.12.1 : net/py-qt5-network@py36
  5. py36-qt5-printsupport>=5.12.1 : print/py-qt5-printsupport@py36
  6. py36-sip>=4.19.15 : devel/py-sip@py36
  7. py36-qt5-svg>=5.12.1 : graphics/py-qt5-svg@py36
  8. py36-qt5-webkit>=5.12.1 : www/py-qt5-webkit@py36
  9. py36-qt5-webkitwidgets>=5.12.1 : www/py-qt5-webkitwidgets@py36
  10. py36-qt5-widgets>=5.12.1 : x11-toolkits/py-qt5-widgets@py36
  11. py36-setuptools>0 : devel/py-setuptools@py36
  12. python3.6 : lang/python36
  13. update-desktop-database : devel/desktop-file-utils
Library dependencies:
  1. libintl.so : devel/gettext-runtime
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
  1. https://codeload.github.com/wbsoft/frescobaldi/tar.gz/v3.0.0?dummy=/

Number of commits found: 36

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
13 May 2019 18:33:10
Original commit files touched by this commit  3.0.0_2
Revision:501583
tcberner search for other commits by this committer
graphics/poppler: update to 0.76.1

From Changelog at https://poppler.freedesktop.org/releases.html :

Release 0.76.1:
        core:
         * Make the mul tables be calculated at compile time with constexpr.
         * splash: Fix compile with SPLASH_CMYK enabled
         * Some typo fixing in error messages

        qt5:
         * Fix regression in annotation handling

        build system:
         * Fix some typos in build system output and comments
(Only the first 15 lines of the commit message are shown above View all of this commit message)
16 Jan 2019 11:13:45
Original commit files touched by this commit  3.0.0_1
Revision:490472
tijl search for other commits by this committer
Fix Qt5 symbol version scripts to put the catch-all clause first.  When
a symbol matches multiple clauses the last one takes precedence.  If the
catch-all is last it captures everything.  In the case of Qt5 libraries
this caused all symbols to have a Qt_5 label while some should have
Qt_5_PRIVATE_API.  This only affects lld because GNU ld always gives the
catch-all lowest priority.

Older versions of Qt5Webengine exported some memory allocation symbols from
the bundled Chromium.  Version 5.9 stopped exporting these [1] but the
symbols were kept as weak wrappers for the standard allocation functions to
maintain binary compatibility. [2][3]  The problem is that the call to the
standard function in these weak wrappers is only resolved to the standard
function if there's a call to this standard function in other parts of
Qt5Webengine, because only then is there a non-weak symbol that takes
precedence over the weak one.  If there's no such non-weak symbol the call
(Only the first 15 lines of the commit message are shown above View all of this commit message)
27 Dec 2018 20:37:29
Original commit files touched by this commit  3.0.0
Revision:488566
tcberner search for other commits by this committer
Reinstate print/frescobaldi@r487595

PR:		234084
Submitted by:	m.ne@gmx.net
16 Dec 2018 15:10:42
Original commit files touched by this commit  2.20.0_3
Revision:487596
tcberner search for other commits by this committer
Update poppler to 0.72

This update brings many changes
- the build system has switched to cmake
- some ports needed to be switched to use their bundled
  version of poppler:
  - print/tex-luatex (r487226)
  - print/tex-xetex (r487226)
  - editors/opeonffice-devel
- Qt4 support has been dropped
  - print/frescobaldi has been removed for this reason.
- most of the added patches can be removed with the next
  upgrade of the concerning port.

PR:		233452
Exp-run by:	antoine
Approved by:	gnome (kwm)
Differential Revision:	https://reviews.freebsd.org/D17456
02 Dec 2018 15:41:48
Original commit files touched by this commit  2.20.0_3
Revision:486467
rene search for other commits by this committer
Mark QT4 ports/functionality for removal on 2019-03-15

While here, chase some KDE4 ports and functionality, these are scheduled for
removal on 2018-12-31. Change the default option/flavor to QT5 where applicable
or use alternative toolkits like GTK.

Submitted by:	tcberner
Reviewed by:	adridg, jhale, rene, tcberner
Approved by:	portmgr (implicit, flavor hook)
Differential Revision:	https://reviews.freebsd.org/D17741
20 Jun 2018 17:05:44
Original commit files touched by this commit  2.20.0_3
Revision:472884
mat search for other commits by this committer
Use PY_FLAVOR for dependencies.

FLAVOR is the current port's flavor, it should not be used outside of
this scope.

Sponsored by:	Absolight
10 Feb 2018 10:29:51
Original commit files touched by this commit  2.20.0_3
Revision:461375
tcberner search for other commits by this committer
Rename KDE4 meta ports

This is done for
 * consistency,
 * and to simplify the import of the newer KDE Plasma5 desktop and KDE
applications

Bumps the dependencies.

Reviewed by:	adridg
Differential Revision:	https://reviews.freebsd.org/D12979
30 Nov 2017 15:50:34
Original commit files touched by this commit  2.20.0_2
Revision:455210  Sanity Test Failure
mat search for other commits by this committer
Convert Python ports to FLAVORS.

  Ports using USE_PYTHON=distutils are now flavored.  They will
  automatically get flavors (py27, py34, py35, py36) depending on what
  versions they support.

  There is also a USE_PYTHON=flavors for ports that do not use distutils
  but need FLAVORS to be set.  A USE_PYTHON=noflavors can be set if
  using distutils but flavors are not wanted.

  A new USE_PYTHON=optsuffix that will add PYTHON_PKGNAMESUFFIX has been
  added to cope with Python ports that did not have the Python
  PKGNAMEPREFIX but are flavored.

  USES=python now also exports a PY_FLAVOR variable that contains the
(Only the first 15 lines of the commit message are shown above View all of this commit message)
24 Aug 2017 19:53:57
Original commit files touched by this commit  2.20.0_2
Revision:448705
ultima search for other commits by this committer
* Bump revision, fixed manpages location
* Added desktop-file-utils
* Max python version specified
* Cleanup Makefile

PR:		221457
Submitted by:	Yuri Victorovich
Reviewed by:	lifanov (mentor), matthew (mentor)
Approved by:	lifanov (mentor), <martin.dieringer@gmx.de> (maintainer)
Differential Revision:	https://reviews.freebsd.org/D12096
25 Apr 2017 08:20:31
Original commit files touched by this commit  2.20.0_1
Revision:439367
riggs search for other commits by this committer
Chase ffmpeg 3.3 update (ABI changes)

PR:		218658
Submitted by:	riggs
18 Feb 2017 15:50:47
Original commit files touched by this commit  2.20.0
Revision:434360
olivierd search for other commits by this committer
- Update to 2.20.0 [1]
- Add LILYPOND option (switch between print/lilypond and
  print/lilypond-devel) [1], [2]
- Remove unneeded patches

PR:		217187
Submitted by:	<m.ne@gmx.net> [1], <martin.dieringer@gmx.de> [2]
Approved by:	<martin.dieringer@gmx.de> (maintainer)
14 Feb 2017 16:09:00
Original commit files touched by this commit  2.19.0
Revision:434122
amdmi3 search for other commits by this committer
- Fix license

Approved by:	portmgr blanket
13 Feb 2017 16:36:34
Original commit files touched by this commit  2.19.0
Revision:433998
antoine search for other commits by this committer
Fix RUN_DEPENDS

Reported by:	pkg-fallout
12 Feb 2017 14:21:25
Original commit files touched by this commit  2.19.0
Revision:433948
olivierd search for other commits by this committer
- Update to 2.19.0
- Adjust dependencies

PR:		216826
Submitted by:	<martin.dieringer@gmx.de> (maintainer)
24 Aug 2016 08:20:31
Original commit files touched by this commit  2.0.15_2
Revision:420774
tcberner search for other commits by this committer
Replace Mk/bsd.kde4.mk by Mk/Uses/kde.mk in preparation for KDE Frameworks and
Plasma5 ports

At the moment KDE ports use bsd.kde4.mk to handle their dependencies. When
working on the ports for KDE Frameworks and Plasma5 it seemed to be more
reasonable to create a new kde.mk instead of adding an bsd.kde5.mk.

The kde.mk in this review is a stripped down version of the one we are using in
the KDE Test repositories plasma5 branch [1] to only contain the parts relevant
to the current KDE4 ports in the portstree [2].

Changes to the KDE Ports needed by this:

Replace USE_KDE4 by USE_KDE [3]
Add USES=kde:4 [4]
(Only the first 15 lines of the commit message are shown above View all of this commit message)
25 May 2016 20:56:06
Refresh Original commit files touched by this commit
Revision:415864
rene search for other commits by this committer
Remove expired misc/kdehier4 and update all of its consumers to not reference it
any
longer. This is a no-op because KDE4_PREFIX is equal to LOCALBASE

Fix up properties for misc/kde4-l10n/files/bsd.l10n.mk to make svn happy.

PR:		209014 (partial)
Submitted by:	myself
Approved by:	portmgr (bapt)
Differential Revision:	https://reviews.freebsd.org/D6542
01 Apr 2016 14:16:20
Original commit files touched by this commit  2.0.15_2
Revision:412348
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories m, n, o, and p.

With hat:	portmgr
Sponsored by:	Absolight
24 Oct 2014 16:43:00
Original commit files touched by this commit  2.0.15_2
Revision:371452
mva search for other commits by this committer
- Convert ports of news/ and print/ to new USES=python

Approved by: portmgr (implicit)
10 Sep 2014 20:50:37
Original commit files touched by this commit  2.0.15_2
Revision:367888
gerald search for other commits by this committer
Update the default version of GCC in the Ports Collection from GCC 4.7.4
to GCC 4.8.3.

Part II, Bump PORTREVISIONs.

PR:		192025
Tested by:	antoine (-exp runs)
Approved by:	portmgr (implicit)
15 Aug 2014 20:37:33
Original commit files touched by this commit  2.0.15_1
Revision:365038
mandree search for other commits by this committer
Upgrade OpenEXR and ilmbase to 2.2.0.

GCC 4.2 in FreeBSD 8.X/9.X base is now too old to compile OpenEXR, so
GCC-based systems will upgrade to the default ports compiler (GCC 4.7
currently.)

Add two patches to OpenEXR to permit building it in a live system with
the older OpenEXR version installed. Bug report filed to upstream Github
at https://github.com/openexr/openexr/issues/130

Couple OpenEXR more tightly to ilmbase and require its exact .so
version.

Add UPDATING note, and bump PORTREVISION of all dependent ports.

Proto-STAGE hugin-devel, and mark it IGNORE because hugin is newer.

Approved by:	portmgr (implicit for bumping PORTREVISION on unstaged ports)
09 Jun 2014 17:42:25
Original commit files touched by this commit  2.0.15
Revision:357188
antoine search for other commits by this committer
- Update to 2.0.15
- Stage support
- Unexpire

PR:		ports/190827
Submitted by:	maintainer
31 May 2014 20:52:22
Original commit files touched by this commit  2.0.8_4
Revision:356019
antoine search for other commits by this committer
Chase py-poppler-qt4 deprecation

With hat:	portmgr
18 Feb 2014 14:31:33
Original commit files touched by this commit  2.0.8_4
Revision:344898
makc search for other commits by this committer
- Bump PORTREVISION after KDE4_PREFIX change
13 Jan 2014 21:00:04
Original commit files touched by this commit  2.0.8_3
Revision:339634
rene search for other commits by this committer
Python cleanup:
- USE_PYTHON* = 2.X -> USE_PYTHON* = 2
- USE_PYTHON* = 2.X+ -> USE_PYTHON* = yes
Reviewed by:	python (mva, rm)
Approved by:	portmgr-lurkers (mat)
26 Oct 2013 00:52:36
Original commit files touched by this commit  2.0.8_3
Revision:331644
gerald search for other commits by this committer
Update to libmpc version 1.0.1 which brings the following fixes:

 - Switched to automake 1.11.6, see CVE-2012-3386.
 - #14669: Fixed extraction of CC from gmp.h.
 - Fixed case of intermediate zero real or imaginary part in mpc_fma,
   found by hydra with GMP_CHECK_RANDOMIZE=1346362345.

This is on top of the following changes from version 1.0

 - Licence change towards LGPLv3+ for the code and GFDLv1.3+ (with no
   invariant sections) for the documentation.
 - 100% of all lines are covered by tests
 - Renamed functions
   . mpc_mul_2exp to mpc_mul_2ui
   . mpc_div_2exp to mpc_div_2ui
(Only the first 15 lines of the commit message are shown above View all of this commit message)
20 Sep 2013 22:44:00
Original commit files touched by this commit  2.0.8_2
Revision:327765
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
print)
24 Apr 2013 18:10:32
Original commit files touched by this commit  2.0.8_2
Revision:316464
ak search for other commits by this committer
- Convert USE_GETTEXT to USES (part 3)

Approved by:	portmgr (bapt)
27 Mar 2013 12:00:15
Original commit files touched by this commit  2.0.8_2
Revision:315375
makc search for other commits by this committer
Chase libkipi, marble, okular shlib bump after KDE 4.10.1 update
03 Feb 2013 18:16:55
Original commit files touched by this commit  2.0.8_1
Revision:311476
makc search for other commits by this committer
Bump PORTREVISON after devel/py-sip and devel/qscintilla2 update.

x11-toolkits/py-qt:
- mark BROKEN: does not build with latest devel/py-sip
16 Dec 2012 16:10:12
Original commit files touched by this commit  2.0.8
Revision:309023
jhale search for other commits by this committer
- Update to 2.0.8

While here:
- Trim Makefile header
- Add LICENSE (GPLv2 or later)
- Drop indefinite article from COMMENT
- Disambiguate wording in pkg-descr

PR:		ports/174353
Submitted by:	Martin Dieringer <martin.dieringer@gmx.de> (maintainer)
06 Sep 2012 14:02:41
Original commit files touched by this commit  2.0.7
Revision:303754
makc search for other commits by this committer
Remove needless dependence on kde-baseapps
Update to 2.0.7 (based on patch provided by maintainer in reply to PR)

PR:		ports/171213
11 Jul 2012 00:34:07
Original commit files touched by this commit  1.2.0_3

avilla search for other commits by this committer
- Update dependency on pykde4 to use only USE_KDE4 components.
- Replace kdebase component with baseapps.

With hat on:    kde
01 Jun 2012 05:26:28
Original commit files touched by this commit  1.2.0_3

dinoex search for other commits by this committer
- update png to 1.5.10
25 May 2012 01:50:36
Original commit files touched by this commit  1.2.0_2

makc search for other commits by this committer
Chase PyQT update
16 Feb 2012 15:57:34
Original commit files touched by this commit  1.2.0_1

ashish search for other commits by this committer
- Bump PORTREVISION to chase the update of multimedia/libvpx
17 Sep 2011 10:04:37
Original commit files touched by this commit  1.2.0

pawel search for other commits by this committer
Frescobaldi is a LilyPond sheet music text editor for KDE4. It aims to be
powerful, yet lightweight and easy to use. Frescobaldi is Free Software,
freely available under the General Public License.

WWW: http://www.frescobaldi.org/

PR:             ports/156539
Submitted by:   martin.dieringer@gmx.de
Approved by:    miwi, wen (mentors implicit)

Number of commits found: 36

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
nsdAug 19
libgit2Aug 18
xdmAug 18
apache24Aug 17
userminAug 17
webminAug 17
cupsAug 16
libnghttp2Aug 16
nghttp2Aug 16
doas*Aug 15
traefikAug 15
nginx*Aug 14
nginx-devel*Aug 14
gitlab-ceAug 13
rubygem-nokogiriAug 13

15 vulnerabilities affecting 86 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-08-19 18:09:23


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 37269
Broken 456
Deprecated 147
Ignore 714
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 34
Expired 8
Set to expire 117
Interactive 0
new 24 hours 22
new 48 hours31
new 7 days48
new fortnight90
new month141

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.